1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.8.6 on earlier OS X?

Discussion in 'GIMP for Mac' started by pofadda, Aug 22, 2014.

  1. pofadda

    pofadda New Member

    Joined:
    Jul 7, 2008
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Before I see if my 2008 Mac mini is up to it with this new version I just want to ask if it is 'safe' to run it on 10.6.8 (Snow Leopard)? I don't want to find, hours into my relearning of GIMP, that bits of the prog outstrip either my Mac's hardware or primitive software!

    Anybody tried this and can report a bit about it?
     
  2. KiT

    KiT Administrator Staff Member

    Joined:
    Jul 17, 2014
    Messages:
    50
    Likes Received:
    4
    Trophy Points:
    8
    Gender:
    Male
    Location:
    Cape Town
    does it have to be version 2.8.6? The latest version (2.8.10) works on snow leopard: http://gimp.lisanet.de/Website/Download.html

    As of the performance, it always depends on how much memory (RAM) your system has, but in general GIMP does not consume a lot of resources/cpu.

    Edit: as a tip, before upgrading the whole computer you will notice a significant boost by replacing your old hdd with a ssd and toping up your ram (depending on how much will fit in) but a minimum of 4GB - the more the better.
     
    Last edited: Aug 22, 2014
    pofadda likes this.
  3. pofadda

    pofadda New Member

    Joined:
    Jul 7, 2008
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for that. My download was only 2.8.6 as I hadn't seen the .10 or looked for it in the most obvious place! Now downloaded and coming to life.

    We'll see if my 2GB kit can handle it tolerably!
     

Share This Page